package com.yeejoin.amos.patrol.business.param;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.yeejoin.amos.patrol.business.vo.PointInputItemVo;
import com.yeejoin.amos.patrol.dao.entity.Point;
import com.yeejoin.amos.patrol.dao.entity.PointClassify;
import com.yeejoin.amos.patrol.dao.entity.PointPhoto;

public class PointParam {

	/**
	 * 点信息
	 */
	private Point point;

	/**
	 * 点对应巡检项ID
	 */
//	private List<HashMap<String, Object>> inputItemInfo;

	/**
	 * 点对应巡检项信息
	 */
	private List<PointInputItemVo> inputItemVoInfo = new ArrayList<PointInputItemVo>();

	/**
	 * 点分类信息
	 */
	private List<PointClassify> pointClassifyList = new ArrayList<PointClassify>();

	/**
	 * 点分类-项map(编辑使用)
	 */
	private Map<String, List<HashMap<Long, Long>>> classifyInputItemEditMap;

	/**
	 * 点分类-项map
	 */
	private Map<Long, List<Long>> classifyInputItemMap;

	/**
	 * 点图片说明列表
	 */
	private List<PointPhoto> pointPhotoList = new ArrayList<>();

	/**
	 * 登录用户orgcode
	 */
	private String loginOrgCode;

//	public List<Long> getInputItemIds() {
//		return inputItemIds;
//	}
//
//	public void setInputItemIds(List<Long> inputItemIds) {
//		this.inputItemIds = inputItemIds;
//	}

	public Point getPoint() {
		return point;
	}

	public void setPoint(Point point) {
		this.point = point;
	}

	public List<PointClassify> getPointClassifyList() {
		return pointClassifyList;
	}

	public void setPointClassifyList(List<PointClassify> pointClassifyList) {
		this.pointClassifyList = pointClassifyList;
	}

	public List<PointPhoto> getPointPhotoList() {
		return pointPhotoList;
	}

	public void setPointPhotoList(List<PointPhoto> pointPhotoList) {
		this.pointPhotoList = pointPhotoList;
	}

	public String getLoginOrgCode() {
		return loginOrgCode;
	}

	public void setLoginOrgCode(String loginOrgCode) {
		this.loginOrgCode = loginOrgCode;
	}

//	public List<HashMap<String, Object>> getInputItemInfo() {
//		return inputItemInfo;
//	}
//
//	public void setInputItemInfo(List<HashMap<String, Object>> inputItemInfo) {
//		this.inputItemInfo = inputItemInfo;
//	}

	public List<PointInputItemVo> getInputItemVoInfo() {
		return inputItemVoInfo;
	}

	public void setInputItemVoInfo(List<PointInputItemVo> inputItemVoInfo) {
		this.inputItemVoInfo = inputItemVoInfo;
	}

	public Map<Long, List<Long>> getClassifyInputItemMap() {
		return classifyInputItemMap;
	}

	public void setClassifyInputItemMap(Map<Long, List<Long>> classifyInputItemMap) {
		this.classifyInputItemMap = classifyInputItemMap;
	}

	public Map<String, List<HashMap<Long, Long>>> getClassifyInputItemEditMap() {
		return classifyInputItemEditMap;
	}

	public void setClassifyInputItemEditMap(Map<String, List<HashMap<Long, Long>>> classifyInputItemEditMap) {
		this.classifyInputItemEditMap = classifyInputItemEditMap;
	}
}
